#{extends 'borderNG.html' /}
#{set 'titleHead'} Undangan Kontrak #{/set}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'kontrak.paket_tender_ppk'}</a></li>
    <li><a href="@{lelang.KontrakCtr.sppbjPpk(peserta.lls_id)}">&{'kontrak.e_kontrak'}</a></li>
    <li><a href="@{lelang.KontrakCtr.sppbjPpkDetil(peserta.lls_id, sppbj?.sppbj_id)}">&{'kontrak.sppbj_detail'}</a></li>
</ol>
<div class="content" style="padding-left:25px; padding-right:25px">
    <div class="bs-callout bs-callout-info">
        <b>&{'kontrak.perhatian'}: </b><br/>
        <br/>
        &{'kontrak.perhatian_1'}
        &{'kontrak.perhatian_2'}
	</div>
	<hr/>
    <h4 class="text-center">&{'kontrak.isi_pesan_kontrak'}</h4>
    <div class="inner-form">
        <p>
            &{'kontrak.kepada_yth'}<br />
		${peserta?.namaPeserta}<br />
            ${peserta?.di_tempat}<br />
            &{'kontrak.kami_mengundang'} <br />
            &{'kontrak.id_tender'}  : ${lelang?.lls_id}<br />
            &{'kontrak.nama_tender'}: ${lelang?.namaPaket}<br /><br />
            &{'kontrak.dgn_info'}<br />
            &{'kontrak.waktu_sd'}<br />
            &{'kontrak.tempat_undang'}<br />
            &{'kontrak.harus_dibawa'}<br />
            &{'kontrak.harus_hadir'}<br /><br />
            &{'kontrak.demikian'}<br /><br />

            &{'kontrak.hormat_kami'}<br />
            &{'kontrak.pejabat'}
        </p>
	</div>
    #{alert /}
#{form @kontrak.SppbjCtr.submitUndangan(sppbj?.sppbj_id, peserta.psr_id), id:'form-undang-kontrak'}
	#{include 'pesan/parts/input-form.html'/}
    <button type="submit" name="simpan" class="btn btn-success btn-simpan confirm" title="Apakah Anda yakin akan mengirimkan Undangan ini?"> <i class="fa fa-save"></i> Kirim</button>
    <a class="btn btn-secondary " href="@{kontrak.SppbjCtr.sppbjPpkDetil(peserta.lls_id, sppbj?.sppbj_id)}">
        <i class="fa fa-arrow-circle-left fa-fw"></i> Kembali</a>&nbsp;
#{/form}
#{include 'pesan/parts/message-list.html'/}
</div>

#{set 'custom_script'}
	<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
    <script type="text/javascript">
    $(".form-control.datepicker").focus(function (ev) {
        //jika masih kosong maka isikan jam default 00:00 atau 23:59
        var dateName = $(this).attr("name");
        var isAwal = (dateName.indexOf("awal")) >= 0;
        var dateValue = $(this).val();
        var initialValue = $(this).attr("initial");
        if (isAwal)
            postfix = "00:00";
        else
            postfix = "23:59";

        if (initialValue == "") {
            //pastikan bahwa jika Jam sudah pernah diisi maka tidak di-reset lagi menjadi 00:00 atau 23:59
            ary = dateValue.split(" ");
            initialValue = ary[0] + " " + postfix;
            $(this).data("DateTimePicker").date(initialValue);
            $(this).attr("initial", initialValue);
        }
    })
    </script>
#{/set}